<?php
include_once("c_client.php");
class c_page_cab_client_get_docs extends c_page_cab_client
{
    public $h1='Выгрузка через шлюз - документация для разработчиков' ;
    public $use_datepicker=1 ;
    public $report_code='' ;

    function second_menu_config()
     { $this->second_menu_show_all=1 ;
       //$this->second_menu['/cab/client/get/docs/']=array('title'=>'Информация','class'=>'fa fa-user-md') ;
       $this->second_menu['/cab/client/get/personals/']=array('title'=>'personals') ;
       $this->second_menu['/cab/client/get/last_mo_personal/']=array('title'=>'last_mo_personal') ;
       $this->second_menu['/cab/client/get/mo_full/']=array('title'=>'mo_full') ;
       $this->second_menu['/cab/client/get/mo_based/']=array('title'=>'mo_based') ;
       //$this->second_menu['/cab/client/get/demo/']=array('title'=>'Тест работы шлюза','class'=>'fa fa-user-md') ;
       //$this->second_menu['/cab/client/get/ext/']=array('title'=>'Внешний источник','class'=>'fa fa-user-md') ;
       //$this->second_menu['/cab/client/get/docs/']=array('title'=>'Документация','class'=>'fa fa-user-md') ;

     }

   function block_main()
   { $this->page_title() ;
     $use_report_code='' ;
     if (isset(REPORTS()->reports_list[$this->report_code])) $use_report_code=$this->report_code ;
     if (isset(REPORTS()->reports_list['report_'.$this->report_code])) $use_report_code='report_'.$this->report_code ;
     if ($use_report_code=='personals') $use_report_code='client_personals' ;

     if (isset(REPORTS()->reports_list[$use_report_code]))
     {  $rec_report=REPORTS()->reports_list[$use_report_code] ;

     include_once(_DIR_EXT.'/'.$rec_report['script_dir']) ;
     //damp_array($rec_report,1,-1) ;
     $report_obj=new $rec_report['class_name'] ;
     $report_obj->filter['client_id']=MEMBER()->id;

     ?><h3>URL запроса</h3>
       http://dev.kvzrm.ru/get/client/<?echo MEMBER()->info['UID']?>/<?echo $this->report_code?>/<strong class="green">Формат ответа</strong>/<br><br>
       Формат ответа - json,xml
       <h3>Описание параметров GET-запроса</h3>
       <? $report_obj->manual_tags_in() ;?>

       <h3>Пример формирования запроса</h3>
       <?
       $report_obj->setting() ;
       echo $report_obj->panel_info_filter() ;

       if (_sizeof($this->filter))
       { ?><strong>Массив параметров запроса:</strong><?
         $arr[]=$this->filter ;
         print_2x_arr($arr,array('no_show_index'=>1)) ;
       }


       $this->show_url($this->filter,'JSON') ;
       $this->show_url($this->filter,'XML') ;

      ?><h3>Описание тегов:</h3><?
      $report_obj->manual_tags_out() ;
     }
     else echo '<div class="alert">Отчет "'.$this->report_code.'" не зарегистрирован в системе</div>' ;
   }

function show_url($filter,$mode)
    {   $inner_filter=$filter; ;
        $inner_filter['limit']='limit 3' ;

        ?><h3>Строка запроса <?echo $mode?>:</h3><?
        $url=_MAIN_PROTOCOL._MAIN_DOMAIN.'/get/client/'.MEMBER()->info['UID'].'/'.$this->report_code.'/'.$mode.'/'.((_sizeof($filter))? '?'.http_build_query($filter):'') ;
        $url=strtolower($url) ;
        $url_inner=_MAIN_PROTOCOL._MAIN_DOMAIN.'/get/client/'.MEMBER()->info['UID'].'/'.$this->report_code.'/'.$mode.'/'.((_sizeof($inner_filter))? '?'.http_build_query($inner_filter):'') ;
        $url_inner=strtolower($url_inner) ;
        echo $url.'<br>' ;
        ?><h3>Пример ответа на запрос (полная выгрузка, ссылка откроется в новой вкладке)</h3><?
        ?><a href="<?echo $url?>" target="_blank"><?echo $url?></a><?
        ?><h3>Пример ответа на запрос (с ограничением в 3 позиции)</h3><?
        $text=file_get_contents($url_inner) ;  // $url_json_inner - запрос с параметром limit
        if ($mode=='JSON')
        {   //$text=stripcslashes($text) ;
            $arr=json_decode($text) ;

            ?><textarea class="code" readonly><?echo JSON::encode($arr);?></textarea><?
        }
        else {?><textarea class="code" readonly><?echo $text?></textarea><?}


    }



}



?>
